commit:     c42770fde3859bab3d697872f404b0668b30aaa5
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Dec  2 23:29:47 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Dec  2 23:32:38 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c42770fd

dev-python/nose2: bump to 0.9.2

Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-python/nose2/Manifest           |  1 +
 dev-python/nose2/nose2-0.9.2.ebuild | 41 +++++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-python/nose2/Manifest b/dev-python/nose2/Manifest
index 53dfa03171c..cb1a18eb779 100644
--- a/dev-python/nose2/Manifest
+++ b/dev-python/nose2/Manifest
@@ -1 +1,2 @@
 DIST nose2-0.9.1.tar.gz 152411 BLAKE2B 
39f2d992e5cab4b9e5cd4401ea9285884eeeac7d2e126b5aad5582186efa0f325139480a446950019e91a376b5992fea106064e5170c9ea7961f128b895a335c
 SHA512 
48cfe3956a3cb696e344ea03e5e0ac8d52831b8272b7cad2bdee34681d1e4e7968fe9da9b71cc9db40b6edf289509c2af766e73611f3a6f23ebd5062f4d52c9e
+DIST nose2-0.9.2.tar.gz 153381 BLAKE2B 
9339a31b664561bd86817a969a64a3d80dacdda3ed25bc0a0b6531812e56c7e2bfaadcad3712d8af1a7ce585e27ff6de54428667e44e7c6b0003db5d52703971
 SHA512 
9af69f0cc9db2e8ef37d2c4ea4fd2d661a38df73fc984d261a1c7c39fba07e44afdf494f0939362b84a03e80c3d93ee75c9352ef333616bf8ce6e6f019b811fe

diff --git a/dev-python/nose2/nose2-0.9.2.ebuild 
b/dev-python/nose2/nose2-0.9.2.ebuild
new file mode 100644
index 00000000000..87db50c78a3
--- /dev/null
+++ b/dev-python/nose2/nose2-0.9.2.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9} )
+inherit distutils-r1
+
+DESCRIPTION="Next generation unittest with plugins"
+HOMEPAGE="https://github.com/nose-devs/nose2";
+SRC_URI="https://github.com/nose-devs/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc"
+# Failures need investigating
+RESTRICT="test"
+
+BDEPEND="
+       doc? ( >=dev-python/sphinx-1.0.5 )
+"
+DEPEND="
+       >=dev-python/coverage-4.4.1[${PYTHON_USEDEP}]
+       >=dev-python/six-1.1[${PYTHON_USEDEP}]
+"
+RDEPEND="${DEPEND}"
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_test() {
+       "${PYTHON}" -m nose2.__main__ || die "tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/_build/html/. )
+
+       distutils-r1_python_install_all
+}

Reply via email to